package com.muyu.controller;

import com.muyu.common.Result;
import com.muyu.domain.PositionRouteInfo;
import com.muyu.service.PositionRouteService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author DongZl
 * @description: 车辆路径控制层
 * @Date 2023-11-27 上午 10:50
 */
@RestController
@RequestMapping("/vehicle/position")
public class VehiclePositionController {

    @Autowired
    private PositionRouteService positionRouteService;

    @GetMapping("/list")
    public Result<List<String>> listAll(){
        List<PositionRouteInfo> positionRouteInfos = positionRouteService.list();
        List<String> list = positionRouteInfos.stream().map(PositionRouteInfo::getName)
                .toList();
        return Result.success(list);
    }
}
