package com.muyu.mqtt;

import com.alibaba.fastjson.JSON;
import com.muyu.utils.ConversionUtil;
import com.muyu.vehicle.MessageData;
import org.apache.kafka.clients.producer.KafkaProducer;
import org.apache.kafka.clients.producer.ProducerRecord;
import org.eclipse.paho.client.mqttv3.IMqttDeliveryToken;
import org.eclipse.paho.client.mqttv3.MqttCallback;
import org.eclipse.paho.client.mqttv3.MqttMessage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.kafka.core.KafkaTemplate;
import org.springframework.stereotype.Service;

/**
 * 回执消息类 MessageCallbackService
 *
 * @author Yangle
 * Date 2024/6/6 15:08
 */
@Service
public class MessageCallbackService implements MqttCallback {

    @Autowired
    private KafkaTemplate kafkaTemplate;
    @Override
    public void connectionLost(Throwable cause) {
        System.out.println("connectionLost:"+cause.getMessage());
    }

    @Override
    public void messageArrived(String topic, MqttMessage mqttMessage) throws Exception {
        System.out.println("topic:"+topic);
        System.out.println("Qos:"+mqttMessage.getQos());
        System.out.println("message content:"+new String(mqttMessage.getPayload()));
        String s = new String(mqttMessage.getPayload());
        MessageData main = ConversionUtil.main(s);
        String vin = main.getVin();
        ProducerRecord<String, String> stringObjectProducerRecord = new ProducerRecord<>(vin,main.toString());
        kafkaTemplate.send(stringObjectProducerRecord);


    }

    @Override
    public void deliveryComplete(IMqttDeliveryToken token) {
        System.out.println("deliveryComplete---------" + token.isComplete());
    }
}
