package com.muyu.vehicle;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 报文对象 MessageData
 *
 * @author Yangle
 * Date 2024/6/7 17:15
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class MessageData {


    /**
     *vin
     */
    private String vin;
    /**
     *时间戳
     */
   private String timestamp;
    /**
     *经度
     */
   private String longitude;
    /**
     *维度
     */
   private String latitude;
    /**
     *车速
     */
   private String speed;
    /**
     *总里程
     */
   private String mileage;
    /**
     *总电压
     */
   private String dischargeVoltage;
    /**
     *总电流
     */
   private String dischargeCurrent;
    /**
     *绝缘电阻
     */
   private String insulationResistance;
    /**
     *档位
     */
   private String gear;
    /**
     *加速踏板行程值
     */
   private String accelerationPedal;
    /**
     *制动踏板行程值
     */
   private String brakePedal;
    /**
     *燃料消耗率
     */
   private String fuelConsumption;
    /**
     *电机控制器温度
     */
   private String motorControllerTemperature;
    /**
     *电机转速
     */
   private String motorSpeed;
    /**
     *电机转矩
     */
   private String motorTorque;
    /**
     *电机温度
     */
   private String motorTemperature;
    /**
     *电机电压
     */
   private String motorVoltage;
    /**
     *电机电流
     */
   private String motorCurrent;
    /**
     *动力电池剩余电量SOC
     */
   private String powerBattery;
    /**
     *当前状态允许的最大反馈功率
     */
   private String maxFeedbackPower;
    /**
     *当前状态允许最大放电功率
     */
   private String maxDischargePower;
    /**
     *BMS自检计数器
     */
   private String bmsSelfCheck;
    /**
     *动力电池充放电电流
     */
   private String powerBatteryCurrent;
    /**
     *动力电池负载端总电压V3
     */
   private String powerBatteryV3;
    /**
     *单次最大电压
     */
   private String maxVoltage;
    /**
     *单体电池最低电压
     */
   private String minVoltage;
    /**
     *单体电池最高温度
     */
   private String maxTemperature;
    /**
     *单体电池最低温度
     */
   private String minTemperature;
    /**
     *动力电池可用容量
     */
   private String availableCapacity;
    /**
     *车辆状态
     */
   private String vehicleStatus;
    /**
     *充电状态
     */
   private String chargeStatus;
    /**
     *运行状态
     */
   private String runStatus;
    /**
     *SOC
     */
   private String soc;
    /**
     *可充电储能装置工作状态
     */
   private String chargeWorkStatus;
    /**
     *驱动电机状态
     */
   private String driveMotorStatus;
    /**
     *定位是否有效
     */
   private String location;
    /**
     *EAS
     */
   private String eas;
    /**
     *PTC
     */
   private String ptc;
    /**
     *EPS
     */
   private String eps;
    /**
     *ABS
     */
   private String abs;
    /**
     *MCU
     */
   private String mcu;
    /**
     *动力电池加热状态
     */
   private String powerBatteryHeating;
    /**
     *动力电池当前状态
     */
   private String powerBatteryCurrentStatus;
    /**
     *动力电池保温状态
     */
   private String powerBatteryHeat;
    /**
     *DCDC
     */
   private String dcdc;
    /**
     *CHG
     */
   private String chg;






}
